STRUCT TEMPLATE (3)

NAME
boost::proto::is_domain

SYNOPSIS

// In header: <boost/proto/domain.hpp>
template<typename T>
struct is_domain :  mpl::bool_< true-or-false > {
};

DESCRIPTION

A metafunction that returns mpl::true_ if the type T is the type of a Proto domain; mpl::false_ otherwise. If T inherits from proto::domain<>, is_domain<T> is mpl::true_.